apiVersion: v1
items:
- apiVersion: observability.openshift.io/v1
  kind: ClusterLogForwarder
  metadata:
    creationTimestamp: "2025-02-24T18:04:27Z"
    generation: 1
    name: collector
    namespace: openshift-logging
    resourceVersion: "404473"
    uid: 8d582bf7-6a56-43ef-aa71-3fab5e09e684
  spec:
    managementState: Managed
    outputs:
    - lokiStack:
        authentication:
          token:
            from: serviceAccount
        target:
          name: logging-loki
          namespace: openshift-logging
      name: default-lokistack
      tls:
        ca:
          configMapName: openshift-service-ca.crt
          key: service-ca.crt
      type: lokiStack
    pipelines:
    - inputRefs:
      - audit
      name: syslog
      outputRefs:
      - default-lokistack
    - inputRefs:
      - infrastructure
      - application
      name: logging-loki
      outputRefs:
      - default-lokistack
    - inputRefs:
      - application
      name: container-logs
      outputRefs:
      - default-lokistack
    serviceAccount:
      name: collector
  status:
    conditions:
    - lastTransitionTime: "2025-02-24T18:09:41Z"
      message: 'permitted to collect log types: [application audit infrastructure]'
      reason: ClusterRolesExist
      status: "True"
      type: observability.openshift.io/Authorized
    - lastTransitionTime: "2025-02-24T18:04:27Z"
      message: one or more of inputs, outputs, pipelines, filters have a validation
        failure
      reason: ValidationFailure
      status: "False"
      type: observability.openshift.io/Valid
    - lastTransitionTime: "2025-02-24T18:04:27Z"
      message: ""
      reason: ValidationFailure
      status: "False"
      type: Ready
    inputConditions:
    - lastTransitionTime: "2025-02-24T18:09:41Z"
      message: input "audit" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidInput-audit
    - lastTransitionTime: "2025-02-24T18:09:41Z"
      message: input "infrastructure" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidInput-infrastructure
    - lastTransitionTime: "2025-02-24T18:09:41Z"
      message: input "application" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidInput-application
    outputConditions:
    - lastTransitionTime: "2025-02-24T18:09:41Z"
      message: output "default-lokistack-application" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidOutput-default-lokistack-application
    - lastTransitionTime: "2025-02-24T18:09:41Z"
      message: output "default-lokistack-audit" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidOutput-default-lokistack-audit
    - lastTransitionTime: "2025-02-24T18:09:41Z"
      message: output "default-lokistack-infrastructure" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidOutput-default-lokistack-infrastructure
    pipelineConditions:
    - lastTransitionTime: "2025-02-24T18:04:27Z"
      message: pipeline "syslog" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidPipeline-syslog
    - lastTransitionTime: "2025-02-24T18:04:27Z"
      message: pipeline "logging-loki" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidPipeline-logging-loki
    - lastTransitionTime: "2025-02-24T18:04:27Z"
      message: pipeline "container-logs" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidPipeline-container-logs
    - lastTransitionTime: "2025-02-24T18:09:41Z"
      message: pipeline "logging-loki-1" is valid
      reason: ValidationSuccess
      status: "True"
      type: observability.openshift.io/ValidPipeline-logging-loki-1
kind: List
metadata:
  resourceVersion: ""
